<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bailuntec.mapper.DcAutoInventoryMapper">
  <resultMap id="BaseResultMap" type="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="bailun_sku" jdbcType="VARCHAR" property="bailunSku" />
    <result column="warehouse_code" jdbcType="VARCHAR" property="warehouseCode" />
    <result column="actual_inventory" jdbcType="DECIMAL" property="actualInventory" />
    <result column="forecast_today_inventory" jdbcType="DECIMAL" property="forecastTodayInventory" />
    <result column="forecast_oneday_inventory" jdbcType="DECIMAL" property="forecastOnedayInventory" />
    <result column="forecast_twoday_inventory" jdbcType="DECIMAL" property="forecastTwodayInventory" />
    <result column="forecast_threeday_inventory" jdbcType="DECIMAL" property="forecastThreedayInventory" />
    <result column="forecast_fourthday_inventory" jdbcType="DECIMAL" property="forecastFourthdayInventory" />
    <result column="forecast_fiveday_inventory" jdbcType="DECIMAL" property="forecastFivedayInventory" />
    <result column="forecast_sixday_inventory" jdbcType="DECIMAL" property="forecastSixdayInventory" />
    <result column="forecast_sevenday_inventory" jdbcType="DECIMAL" property="forecastSevendayInventory" />
    <result column="forecast_eightday_inventory" jdbcType="DECIMAL" property="forecastEightdayInventory" />
    <result column="forecast_nineday_inventory" jdbcType="DECIMAL" property="forecastNinedayInventory" />
    <result column="forecast_tenday_inventory" jdbcType="DECIMAL" property="forecastTendayInventory" />
    <result column="forecast_elevenday_inventory" jdbcType="DECIMAL" property="forecastElevendayInventory" />
    <result column="forecast_twelveday_inventory" jdbcType="DECIMAL" property="forecastTwelvedayInventory" />
    <result column="forecast_thridteenday_inventory" jdbcType="DECIMAL" property="forecastThridteendayInventory" />
    <result column="forecast_fourteenday_inventory" jdbcType="DECIMAL" property="forecastFourteendayInventory" />
    <result column="forecast_fifteenday_inventory" jdbcType="DECIMAL" property="forecastFifteendayInventory" />
    <result column="forecast_sixteenday_inventory" jdbcType="DECIMAL" property="forecastSixteendayInventory" />
    <result column="forecast_seventeenday_inventory" jdbcType="DECIMAL" property="forecastSeventeendayInventory" />
    <result column="forecast_eighteenday_inventory" jdbcType="DECIMAL" property="forecastEighteendayInventory" />
    <result column="forecast_nineteenday_inventory" jdbcType="DECIMAL" property="forecastNineteendayInventory" />
    <result column="forecast_twentyday_inventory" jdbcType="DECIMAL" property="forecastTwentydayInventory" />
    <result column="forecast_twenty_oneday_inventory" jdbcType="DECIMAL" property="forecastTwentyOnedayInventory" />
    <result column="forecast_twenty_twoday_inventory" jdbcType="DECIMAL" property="forecastTwentyTwodayInventory" />
    <result column="forecast_twenty_threeday_inventory" jdbcType="DECIMAL" property="forecastTwentyThreedayInventory" />
    <result column="forecast_twenty_fourthday_inventory" jdbcType="DECIMAL" property="forecastTwentyFourthdayInventory" />
    <result column="forecast_twenty_fiveday_inventory" jdbcType="DECIMAL" property="forecastTwentyFivedayInventory" />
    <result column="forecast_twenty_sixday_inventory" jdbcType="DECIMAL" property="forecastTwentySixdayInventory" />
    <result column="forecast_twenty_seveneday_inventory" jdbcType="DECIMAL" property="forecastTwentySevenedayInventory" />
    <result column="forecast_twenty_eightday_inventory" jdbcType="DECIMAL" property="forecastTwentyEightdayInventory" />
    <result column="forecast_twenty_nineday_inventory" jdbcType="DECIMAL" property="forecastTwentyNinedayInventory" />
    <result column="forecast_thirtyday_inventory" jdbcType="DECIMAL" property="forecastThirtydayInventory" />
    <result column="gmt_create" jdbcType="TIMESTAMP" property="gmtCreate" />
    <result column="gmt_modified" jdbcType="TIMESTAMP" property="gmtModified" />
    <result column="warehouse_name" jdbcType="VARCHAR" property="warehouseName" />
    <result column="sku_title" jdbcType="VARCHAR" property="skuTitle" />
    <result column="details" jdbcType="VARCHAR" property="details" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, bailun_sku, warehouse_code, actual_inventory, forecast_today_inventory, forecast_oneday_inventory, 
    forecast_twoday_inventory, forecast_threeday_inventory, forecast_fourthday_inventory, 
    forecast_fiveday_inventory, forecast_sixday_inventory, forecast_sevenday_inventory, 
    forecast_eightday_inventory, forecast_nineday_inventory, forecast_tenday_inventory, 
    forecast_elevenday_inventory, forecast_twelveday_inventory, forecast_thridteenday_inventory, 
    forecast_fourteenday_inventory, forecast_fifteenday_inventory, forecast_sixteenday_inventory, 
    forecast_seventeenday_inventory, forecast_eighteenday_inventory, forecast_nineteenday_inventory, 
    forecast_twentyday_inventory, forecast_twenty_oneday_inventory, forecast_twenty_twoday_inventory, 
    forecast_twenty_threeday_inventory, forecast_twenty_fourthday_inventory, forecast_twenty_fiveday_inventory, 
    forecast_twenty_sixday_inventory, forecast_twenty_seveneday_inventory, forecast_twenty_eightday_inventory, 
    forecast_twenty_nineday_inventory, forecast_thirtyday_inventory, gmt_create, gmt_modified, 
    warehouse_name, sku_title, details
  </sql>
  <select id="selectByExample" parameterType="com.bailuntec.domain.example.DcAutoInventoryExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from dc_auto_inventory
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    <if test="rows != null">
      <if test="offset != null">
        limit ${offset}, ${rows}
      </if>
      <if test="offset == null">
        limit ${rows}
      </if>
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from dc_auto_inventory
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_inventory
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.bailuntec.domain.example.DcAutoInventoryExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_inventory
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_inventory (id, bailun_sku, warehouse_code, 
      actual_inventory, forecast_today_inventory, 
      forecast_oneday_inventory, forecast_twoday_inventory, 
      forecast_threeday_inventory, forecast_fourthday_inventory, 
      forecast_fiveday_inventory, forecast_sixday_inventory, 
      forecast_sevenday_inventory, forecast_eightday_inventory, 
      forecast_nineday_inventory, forecast_tenday_inventory, 
      forecast_elevenday_inventory, forecast_twelveday_inventory, 
      forecast_thridteenday_inventory, forecast_fourteenday_inventory, 
      forecast_fifteenday_inventory, forecast_sixteenday_inventory, 
      forecast_seventeenday_inventory, forecast_eighteenday_inventory, 
      forecast_nineteenday_inventory, forecast_twentyday_inventory, 
      forecast_twenty_oneday_inventory, forecast_twenty_twoday_inventory, 
      forecast_twenty_threeday_inventory, forecast_twenty_fourthday_inventory, 
      forecast_twenty_fiveday_inventory, forecast_twenty_sixday_inventory, 
      forecast_twenty_seveneday_inventory, forecast_twenty_eightday_inventory, 
      forecast_twenty_nineday_inventory, forecast_thirtyday_inventory, 
      gmt_create, gmt_modified, warehouse_name, 
      sku_title, details)
    values (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{actualInventory,jdbcType=DECIMAL}, #{forecastTodayInventory,jdbcType=DECIMAL}, 
      #{forecastOnedayInventory,jdbcType=DECIMAL}, #{forecastTwodayInventory,jdbcType=DECIMAL}, 
      #{forecastThreedayInventory,jdbcType=DECIMAL}, #{forecastFourthdayInventory,jdbcType=DECIMAL}, 
      #{forecastFivedayInventory,jdbcType=DECIMAL}, #{forecastSixdayInventory,jdbcType=DECIMAL}, 
      #{forecastSevendayInventory,jdbcType=DECIMAL}, #{forecastEightdayInventory,jdbcType=DECIMAL}, 
      #{forecastNinedayInventory,jdbcType=DECIMAL}, #{forecastTendayInventory,jdbcType=DECIMAL}, 
      #{forecastElevendayInventory,jdbcType=DECIMAL}, #{forecastTwelvedayInventory,jdbcType=DECIMAL}, 
      #{forecastThridteendayInventory,jdbcType=DECIMAL}, #{forecastFourteendayInventory,jdbcType=DECIMAL}, 
      #{forecastFifteendayInventory,jdbcType=DECIMAL}, #{forecastSixteendayInventory,jdbcType=DECIMAL}, 
      #{forecastSeventeendayInventory,jdbcType=DECIMAL}, #{forecastEighteendayInventory,jdbcType=DECIMAL}, 
      #{forecastNineteendayInventory,jdbcType=DECIMAL}, #{forecastTwentydayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyOnedayInventory,jdbcType=DECIMAL}, #{forecastTwentyTwodayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyThreedayInventory,jdbcType=DECIMAL}, #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyFivedayInventory,jdbcType=DECIMAL}, #{forecastTwentySixdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentySevenedayInventory,jdbcType=DECIMAL}, #{forecastTwentyEightdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyNinedayInventory,jdbcType=DECIMAL}, #{forecastThirtydayInventory,jdbcType=DECIMAL}, 
      #{gmtCreate,jdbcType=TIMESTAMP}, #{gmtModified,jdbcType=TIMESTAMP}, #{warehouseName,jdbcType=VARCHAR},
      #{skuTitle,jdbcType=VARCHAR}, #{details,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_inventory
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="actualInventory != null">
        actual_inventory,
      </if>
      <if test="forecastTodayInventory != null">
        forecast_today_inventory,
      </if>
      <if test="forecastOnedayInventory != null">
        forecast_oneday_inventory,
      </if>
      <if test="forecastTwodayInventory != null">
        forecast_twoday_inventory,
      </if>
      <if test="forecastThreedayInventory != null">
        forecast_threeday_inventory,
      </if>
      <if test="forecastFourthdayInventory != null">
        forecast_fourthday_inventory,
      </if>
      <if test="forecastFivedayInventory != null">
        forecast_fiveday_inventory,
      </if>
      <if test="forecastSixdayInventory != null">
        forecast_sixday_inventory,
      </if>
      <if test="forecastSevendayInventory != null">
        forecast_sevenday_inventory,
      </if>
      <if test="forecastEightdayInventory != null">
        forecast_eightday_inventory,
      </if>
      <if test="forecastNinedayInventory != null">
        forecast_nineday_inventory,
      </if>
      <if test="forecastTendayInventory != null">
        forecast_tenday_inventory,
      </if>
      <if test="forecastElevendayInventory != null">
        forecast_elevenday_inventory,
      </if>
      <if test="forecastTwelvedayInventory != null">
        forecast_twelveday_inventory,
      </if>
      <if test="forecastThridteendayInventory != null">
        forecast_thridteenday_inventory,
      </if>
      <if test="forecastFourteendayInventory != null">
        forecast_fourteenday_inventory,
      </if>
      <if test="forecastFifteendayInventory != null">
        forecast_fifteenday_inventory,
      </if>
      <if test="forecastSixteendayInventory != null">
        forecast_sixteenday_inventory,
      </if>
      <if test="forecastSeventeendayInventory != null">
        forecast_seventeenday_inventory,
      </if>
      <if test="forecastEighteendayInventory != null">
        forecast_eighteenday_inventory,
      </if>
      <if test="forecastNineteendayInventory != null">
        forecast_nineteenday_inventory,
      </if>
      <if test="forecastTwentydayInventory != null">
        forecast_twentyday_inventory,
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        forecast_twenty_oneday_inventory,
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        forecast_twenty_twoday_inventory,
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        forecast_twenty_threeday_inventory,
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        forecast_twenty_fourthday_inventory,
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        forecast_twenty_fiveday_inventory,
      </if>
      <if test="forecastTwentySixdayInventory != null">
        forecast_twenty_sixday_inventory,
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        forecast_twenty_seveneday_inventory,
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        forecast_twenty_eightday_inventory,
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        forecast_twenty_nineday_inventory,
      </if>
      <if test="forecastThirtydayInventory != null">
        forecast_thirtyday_inventory,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="warehouseName != null">
        warehouse_name,
      </if>
      <if test="skuTitle != null">
        sku_title,
      </if>
      <if test="details != null">
        details,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        #{actualInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTodayInventory != null">
        #{forecastTodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayInventory != null">
        #{forecastOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayInventory != null">
        #{forecastTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayInventory != null">
        #{forecastThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayInventory != null">
        #{forecastFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayInventory != null">
        #{forecastFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayInventory != null">
        #{forecastSixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayInventory != null">
        #{forecastSevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayInventory != null">
        #{forecastEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayInventory != null">
        #{forecastNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayInventory != null">
        #{forecastTendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayInventory != null">
        #{forecastElevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayInventory != null">
        #{forecastTwelvedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayInventory != null">
        #{forecastThridteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayInventory != null">
        #{forecastFourteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayInventory != null">
        #{forecastFifteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayInventory != null">
        #{forecastSixteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayInventory != null">
        #{forecastSeventeendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayInventory != null">
        #{forecastEighteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayInventory != null">
        #{forecastNineteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayInventory != null">
        #{forecastTwentydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        #{forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        #{forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        #{forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        #{forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayInventory != null">
        #{forecastTwentySixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        #{forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        #{forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        #{forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayInventory != null">
        #{forecastThirtydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="warehouseName != null">
        #{warehouseName,jdbcType=VARCHAR},
      </if>
      <if test="skuTitle != null">
        #{skuTitle,jdbcType=VARCHAR},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.bailuntec.domain.example.DcAutoInventoryExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from dc_auto_inventory
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inventory
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.bailunSku != null">
        bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="record.warehouseCode != null">
        warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="record.actualInventory != null">
        actual_inventory = #{record.actualInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTodayInventory != null">
        forecast_today_inventory = #{record.forecastTodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastOnedayInventory != null">
        forecast_oneday_inventory = #{record.forecastOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwodayInventory != null">
        forecast_twoday_inventory = #{record.forecastTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThreedayInventory != null">
        forecast_threeday_inventory = #{record.forecastThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFourthdayInventory != null">
        forecast_fourthday_inventory = #{record.forecastFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFivedayInventory != null">
        forecast_fiveday_inventory = #{record.forecastFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSixdayInventory != null">
        forecast_sixday_inventory = #{record.forecastSixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSevendayInventory != null">
        forecast_sevenday_inventory = #{record.forecastSevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastEightdayInventory != null">
        forecast_eightday_inventory = #{record.forecastEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastNinedayInventory != null">
        forecast_nineday_inventory = #{record.forecastNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTendayInventory != null">
        forecast_tenday_inventory = #{record.forecastTendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastElevendayInventory != null">
        forecast_elevenday_inventory = #{record.forecastElevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwelvedayInventory != null">
        forecast_twelveday_inventory = #{record.forecastTwelvedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThridteendayInventory != null">
        forecast_thridteenday_inventory = #{record.forecastThridteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFourteendayInventory != null">
        forecast_fourteenday_inventory = #{record.forecastFourteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFifteendayInventory != null">
        forecast_fifteenday_inventory = #{record.forecastFifteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSixteendayInventory != null">
        forecast_sixteenday_inventory = #{record.forecastSixteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSeventeendayInventory != null">
        forecast_seventeenday_inventory = #{record.forecastSeventeendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastEighteendayInventory != null">
        forecast_eighteenday_inventory = #{record.forecastEighteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastNineteendayInventory != null">
        forecast_nineteenday_inventory = #{record.forecastNineteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentydayInventory != null">
        forecast_twentyday_inventory = #{record.forecastTwentydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyOnedayInventory != null">
        forecast_twenty_oneday_inventory = #{record.forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyTwodayInventory != null">
        forecast_twenty_twoday_inventory = #{record.forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyThreedayInventory != null">
        forecast_twenty_threeday_inventory = #{record.forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyFourthdayInventory != null">
        forecast_twenty_fourthday_inventory = #{record.forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyFivedayInventory != null">
        forecast_twenty_fiveday_inventory = #{record.forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentySixdayInventory != null">
        forecast_twenty_sixday_inventory = #{record.forecastTwentySixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentySevenedayInventory != null">
        forecast_twenty_seveneday_inventory = #{record.forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyEightdayInventory != null">
        forecast_twenty_eightday_inventory = #{record.forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyNinedayInventory != null">
        forecast_twenty_nineday_inventory = #{record.forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThirtydayInventory != null">
        forecast_thirtyday_inventory = #{record.forecastThirtydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="record.gmtCreate != null">
        gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.gmtModified != null">
        gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="record.warehouseName != null">
        warehouse_name = #{record.warehouseName,jdbcType=VARCHAR},
      </if>
      <if test="record.skuTitle != null">
        sku_title = #{record.skuTitle,jdbcType=VARCHAR},
      </if>
      <if test="record.details != null">
        details = #{record.details,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inventory
    set id = #{record.id,jdbcType=INTEGER},
      bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      actual_inventory = #{record.actualInventory,jdbcType=DECIMAL},
      forecast_today_inventory = #{record.forecastTodayInventory,jdbcType=DECIMAL},
      forecast_oneday_inventory = #{record.forecastOnedayInventory,jdbcType=DECIMAL},
      forecast_twoday_inventory = #{record.forecastTwodayInventory,jdbcType=DECIMAL},
      forecast_threeday_inventory = #{record.forecastThreedayInventory,jdbcType=DECIMAL},
      forecast_fourthday_inventory = #{record.forecastFourthdayInventory,jdbcType=DECIMAL},
      forecast_fiveday_inventory = #{record.forecastFivedayInventory,jdbcType=DECIMAL},
      forecast_sixday_inventory = #{record.forecastSixdayInventory,jdbcType=DECIMAL},
      forecast_sevenday_inventory = #{record.forecastSevendayInventory,jdbcType=DECIMAL},
      forecast_eightday_inventory = #{record.forecastEightdayInventory,jdbcType=DECIMAL},
      forecast_nineday_inventory = #{record.forecastNinedayInventory,jdbcType=DECIMAL},
      forecast_tenday_inventory = #{record.forecastTendayInventory,jdbcType=DECIMAL},
      forecast_elevenday_inventory = #{record.forecastElevendayInventory,jdbcType=DECIMAL},
      forecast_twelveday_inventory = #{record.forecastTwelvedayInventory,jdbcType=DECIMAL},
      forecast_thridteenday_inventory = #{record.forecastThridteendayInventory,jdbcType=DECIMAL},
      forecast_fourteenday_inventory = #{record.forecastFourteendayInventory,jdbcType=DECIMAL},
      forecast_fifteenday_inventory = #{record.forecastFifteendayInventory,jdbcType=DECIMAL},
      forecast_sixteenday_inventory = #{record.forecastSixteendayInventory,jdbcType=DECIMAL},
      forecast_seventeenday_inventory = #{record.forecastSeventeendayInventory,jdbcType=DECIMAL},
      forecast_eighteenday_inventory = #{record.forecastEighteendayInventory,jdbcType=DECIMAL},
      forecast_nineteenday_inventory = #{record.forecastNineteendayInventory,jdbcType=DECIMAL},
      forecast_twentyday_inventory = #{record.forecastTwentydayInventory,jdbcType=DECIMAL},
      forecast_twenty_oneday_inventory = #{record.forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      forecast_twenty_twoday_inventory = #{record.forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      forecast_twenty_threeday_inventory = #{record.forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      forecast_twenty_fourthday_inventory = #{record.forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      forecast_twenty_fiveday_inventory = #{record.forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      forecast_twenty_sixday_inventory = #{record.forecastTwentySixdayInventory,jdbcType=DECIMAL},
      forecast_twenty_seveneday_inventory = #{record.forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      forecast_twenty_eightday_inventory = #{record.forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      forecast_twenty_nineday_inventory = #{record.forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      forecast_thirtyday_inventory = #{record.forecastThirtydayInventory,jdbcType=DECIMAL},
      gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      warehouse_name = #{record.warehouseName,jdbcType=VARCHAR},
      sku_title = #{record.skuTitle,jdbcType=VARCHAR},
      details = #{record.details,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inventory
    <set>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        actual_inventory = #{actualInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTodayInventory != null">
        forecast_today_inventory = #{forecastTodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayInventory != null">
        forecast_oneday_inventory = #{forecastOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayInventory != null">
        forecast_twoday_inventory = #{forecastTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayInventory != null">
        forecast_threeday_inventory = #{forecastThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayInventory != null">
        forecast_fourthday_inventory = #{forecastFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayInventory != null">
        forecast_fiveday_inventory = #{forecastFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayInventory != null">
        forecast_sixday_inventory = #{forecastSixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayInventory != null">
        forecast_sevenday_inventory = #{forecastSevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayInventory != null">
        forecast_eightday_inventory = #{forecastEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayInventory != null">
        forecast_nineday_inventory = #{forecastNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayInventory != null">
        forecast_tenday_inventory = #{forecastTendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayInventory != null">
        forecast_elevenday_inventory = #{forecastElevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayInventory != null">
        forecast_twelveday_inventory = #{forecastTwelvedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayInventory != null">
        forecast_thridteenday_inventory = #{forecastThridteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayInventory != null">
        forecast_fourteenday_inventory = #{forecastFourteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayInventory != null">
        forecast_fifteenday_inventory = #{forecastFifteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayInventory != null">
        forecast_sixteenday_inventory = #{forecastSixteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayInventory != null">
        forecast_seventeenday_inventory = #{forecastSeventeendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayInventory != null">
        forecast_eighteenday_inventory = #{forecastEighteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayInventory != null">
        forecast_nineteenday_inventory = #{forecastNineteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayInventory != null">
        forecast_twentyday_inventory = #{forecastTwentydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        forecast_twenty_oneday_inventory = #{forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        forecast_twenty_twoday_inventory = #{forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        forecast_twenty_threeday_inventory = #{forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        forecast_twenty_fourthday_inventory = #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        forecast_twenty_fiveday_inventory = #{forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayInventory != null">
        forecast_twenty_sixday_inventory = #{forecastTwentySixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        forecast_twenty_seveneday_inventory = #{forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        forecast_twenty_eightday_inventory = #{forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        forecast_twenty_nineday_inventory = #{forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayInventory != null">
        forecast_thirtyday_inventory = #{forecastThirtydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="warehouseName != null">
        warehouse_name = #{warehouseName,jdbcType=VARCHAR},
      </if>
      <if test="skuTitle != null">
        sku_title = #{skuTitle,jdbcType=VARCHAR},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_inventory
    set bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      actual_inventory = #{actualInventory,jdbcType=DECIMAL},
      forecast_today_inventory = #{forecastTodayInventory,jdbcType=DECIMAL},
      forecast_oneday_inventory = #{forecastOnedayInventory,jdbcType=DECIMAL},
      forecast_twoday_inventory = #{forecastTwodayInventory,jdbcType=DECIMAL},
      forecast_threeday_inventory = #{forecastThreedayInventory,jdbcType=DECIMAL},
      forecast_fourthday_inventory = #{forecastFourthdayInventory,jdbcType=DECIMAL},
      forecast_fiveday_inventory = #{forecastFivedayInventory,jdbcType=DECIMAL},
      forecast_sixday_inventory = #{forecastSixdayInventory,jdbcType=DECIMAL},
      forecast_sevenday_inventory = #{forecastSevendayInventory,jdbcType=DECIMAL},
      forecast_eightday_inventory = #{forecastEightdayInventory,jdbcType=DECIMAL},
      forecast_nineday_inventory = #{forecastNinedayInventory,jdbcType=DECIMAL},
      forecast_tenday_inventory = #{forecastTendayInventory,jdbcType=DECIMAL},
      forecast_elevenday_inventory = #{forecastElevendayInventory,jdbcType=DECIMAL},
      forecast_twelveday_inventory = #{forecastTwelvedayInventory,jdbcType=DECIMAL},
      forecast_thridteenday_inventory = #{forecastThridteendayInventory,jdbcType=DECIMAL},
      forecast_fourteenday_inventory = #{forecastFourteendayInventory,jdbcType=DECIMAL},
      forecast_fifteenday_inventory = #{forecastFifteendayInventory,jdbcType=DECIMAL},
      forecast_sixteenday_inventory = #{forecastSixteendayInventory,jdbcType=DECIMAL},
      forecast_seventeenday_inventory = #{forecastSeventeendayInventory,jdbcType=DECIMAL},
      forecast_eighteenday_inventory = #{forecastEighteendayInventory,jdbcType=DECIMAL},
      forecast_nineteenday_inventory = #{forecastNineteendayInventory,jdbcType=DECIMAL},
      forecast_twentyday_inventory = #{forecastTwentydayInventory,jdbcType=DECIMAL},
      forecast_twenty_oneday_inventory = #{forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      forecast_twenty_twoday_inventory = #{forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      forecast_twenty_threeday_inventory = #{forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      forecast_twenty_fourthday_inventory = #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      forecast_twenty_fiveday_inventory = #{forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      forecast_twenty_sixday_inventory = #{forecastTwentySixdayInventory,jdbcType=DECIMAL},
      forecast_twenty_seveneday_inventory = #{forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      forecast_twenty_eightday_inventory = #{forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      forecast_twenty_nineday_inventory = #{forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      forecast_thirtyday_inventory = #{forecastThirtydayInventory,jdbcType=DECIMAL},
      gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      warehouse_name = #{warehouseName,jdbcType=VARCHAR},
      sku_title = #{skuTitle,jdbcType=VARCHAR},
      details = #{details,jdbcType=VARCHAR}
    where id = #{id,jdbcType=INTEGER}
  </update>
  <insert id="upsertSelective" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_inventory
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="actualInventory != null">
        actual_inventory,
      </if>
      <if test="forecastTodayInventory != null">
        forecast_today_inventory,
      </if>
      <if test="forecastOnedayInventory != null">
        forecast_oneday_inventory,
      </if>
      <if test="forecastTwodayInventory != null">
        forecast_twoday_inventory,
      </if>
      <if test="forecastThreedayInventory != null">
        forecast_threeday_inventory,
      </if>
      <if test="forecastFourthdayInventory != null">
        forecast_fourthday_inventory,
      </if>
      <if test="forecastFivedayInventory != null">
        forecast_fiveday_inventory,
      </if>
      <if test="forecastSixdayInventory != null">
        forecast_sixday_inventory,
      </if>
      <if test="forecastSevendayInventory != null">
        forecast_sevenday_inventory,
      </if>
      <if test="forecastEightdayInventory != null">
        forecast_eightday_inventory,
      </if>
      <if test="forecastNinedayInventory != null">
        forecast_nineday_inventory,
      </if>
      <if test="forecastTendayInventory != null">
        forecast_tenday_inventory,
      </if>
      <if test="forecastElevendayInventory != null">
        forecast_elevenday_inventory,
      </if>
      <if test="forecastTwelvedayInventory != null">
        forecast_twelveday_inventory,
      </if>
      <if test="forecastThridteendayInventory != null">
        forecast_thridteenday_inventory,
      </if>
      <if test="forecastFourteendayInventory != null">
        forecast_fourteenday_inventory,
      </if>
      <if test="forecastFifteendayInventory != null">
        forecast_fifteenday_inventory,
      </if>
      <if test="forecastSixteendayInventory != null">
        forecast_sixteenday_inventory,
      </if>
      <if test="forecastSeventeendayInventory != null">
        forecast_seventeenday_inventory,
      </if>
      <if test="forecastEighteendayInventory != null">
        forecast_eighteenday_inventory,
      </if>
      <if test="forecastNineteendayInventory != null">
        forecast_nineteenday_inventory,
      </if>
      <if test="forecastTwentydayInventory != null">
        forecast_twentyday_inventory,
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        forecast_twenty_oneday_inventory,
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        forecast_twenty_twoday_inventory,
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        forecast_twenty_threeday_inventory,
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        forecast_twenty_fourthday_inventory,
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        forecast_twenty_fiveday_inventory,
      </if>
      <if test="forecastTwentySixdayInventory != null">
        forecast_twenty_sixday_inventory,
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        forecast_twenty_seveneday_inventory,
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        forecast_twenty_eightday_inventory,
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        forecast_twenty_nineday_inventory,
      </if>
      <if test="forecastThirtydayInventory != null">
        forecast_thirtyday_inventory,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="warehouseName != null">
        warehouse_name,
      </if>
      <if test="skuTitle != null">
        sku_title,
      </if>
      <if test="details != null">
        details,
      </if>
    </trim>
    values
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        #{actualInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTodayInventory != null">
        #{forecastTodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayInventory != null">
        #{forecastOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayInventory != null">
        #{forecastTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayInventory != null">
        #{forecastThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayInventory != null">
        #{forecastFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayInventory != null">
        #{forecastFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayInventory != null">
        #{forecastSixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayInventory != null">
        #{forecastSevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayInventory != null">
        #{forecastEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayInventory != null">
        #{forecastNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayInventory != null">
        #{forecastTendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayInventory != null">
        #{forecastElevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayInventory != null">
        #{forecastTwelvedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayInventory != null">
        #{forecastThridteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayInventory != null">
        #{forecastFourteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayInventory != null">
        #{forecastFifteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayInventory != null">
        #{forecastSixteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayInventory != null">
        #{forecastSeventeendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayInventory != null">
        #{forecastEighteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayInventory != null">
        #{forecastNineteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayInventory != null">
        #{forecastTwentydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        #{forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        #{forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        #{forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        #{forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayInventory != null">
        #{forecastTwentySixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        #{forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        #{forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        #{forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayInventory != null">
        #{forecastThirtydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="warehouseName != null">
        #{warehouseName,jdbcType=VARCHAR},
      </if>
      <if test="skuTitle != null">
        #{skuTitle,jdbcType=VARCHAR},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
    </trim>
    on duplicate key update 
    <trim suffixOverrides=",">
      <if test="id != null">
        id = #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="actualInventory != null">
        actual_inventory = #{actualInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTodayInventory != null">
        forecast_today_inventory = #{forecastTodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayInventory != null">
        forecast_oneday_inventory = #{forecastOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayInventory != null">
        forecast_twoday_inventory = #{forecastTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayInventory != null">
        forecast_threeday_inventory = #{forecastThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayInventory != null">
        forecast_fourthday_inventory = #{forecastFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayInventory != null">
        forecast_fiveday_inventory = #{forecastFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayInventory != null">
        forecast_sixday_inventory = #{forecastSixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayInventory != null">
        forecast_sevenday_inventory = #{forecastSevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayInventory != null">
        forecast_eightday_inventory = #{forecastEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayInventory != null">
        forecast_nineday_inventory = #{forecastNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayInventory != null">
        forecast_tenday_inventory = #{forecastTendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayInventory != null">
        forecast_elevenday_inventory = #{forecastElevendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayInventory != null">
        forecast_twelveday_inventory = #{forecastTwelvedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayInventory != null">
        forecast_thridteenday_inventory = #{forecastThridteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayInventory != null">
        forecast_fourteenday_inventory = #{forecastFourteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayInventory != null">
        forecast_fifteenday_inventory = #{forecastFifteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayInventory != null">
        forecast_sixteenday_inventory = #{forecastSixteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayInventory != null">
        forecast_seventeenday_inventory = #{forecastSeventeendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayInventory != null">
        forecast_eighteenday_inventory = #{forecastEighteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayInventory != null">
        forecast_nineteenday_inventory = #{forecastNineteendayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayInventory != null">
        forecast_twentyday_inventory = #{forecastTwentydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayInventory != null">
        forecast_twenty_oneday_inventory = #{forecastTwentyOnedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayInventory != null">
        forecast_twenty_twoday_inventory = #{forecastTwentyTwodayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayInventory != null">
        forecast_twenty_threeday_inventory = #{forecastTwentyThreedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayInventory != null">
        forecast_twenty_fourthday_inventory = #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayInventory != null">
        forecast_twenty_fiveday_inventory = #{forecastTwentyFivedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayInventory != null">
        forecast_twenty_sixday_inventory = #{forecastTwentySixdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayInventory != null">
        forecast_twenty_seveneday_inventory = #{forecastTwentySevenedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayInventory != null">
        forecast_twenty_eightday_inventory = #{forecastTwentyEightdayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayInventory != null">
        forecast_twenty_nineday_inventory = #{forecastTwentyNinedayInventory,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayInventory != null">
        forecast_thirtyday_inventory = #{forecastThirtydayInventory,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="warehouseName != null">
        warehouse_name = #{warehouseName,jdbcType=VARCHAR},
      </if>
      <if test="skuTitle != null">
        sku_title = #{skuTitle,jdbcType=VARCHAR},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <insert id="upsert" parameterType="com.bailuntec.domain.entity.DcAutoInventory">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_inventory
    (id, bailun_sku, warehouse_code, actual_inventory, forecast_today_inventory, forecast_oneday_inventory, 
      forecast_twoday_inventory, forecast_threeday_inventory, forecast_fourthday_inventory, 
      forecast_fiveday_inventory, forecast_sixday_inventory, forecast_sevenday_inventory, 
      forecast_eightday_inventory, forecast_nineday_inventory, forecast_tenday_inventory, 
      forecast_elevenday_inventory, forecast_twelveday_inventory, forecast_thridteenday_inventory, 
      forecast_fourteenday_inventory, forecast_fifteenday_inventory, forecast_sixteenday_inventory, 
      forecast_seventeenday_inventory, forecast_eighteenday_inventory, forecast_nineteenday_inventory, 
      forecast_twentyday_inventory, forecast_twenty_oneday_inventory, forecast_twenty_twoday_inventory, 
      forecast_twenty_threeday_inventory, forecast_twenty_fourthday_inventory, forecast_twenty_fiveday_inventory, 
      forecast_twenty_sixday_inventory, forecast_twenty_seveneday_inventory, forecast_twenty_eightday_inventory, 
      forecast_twenty_nineday_inventory, forecast_thirtyday_inventory, gmt_create, gmt_modified, 
      warehouse_name, sku_title, details)
    values
    (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{actualInventory,jdbcType=DECIMAL}, #{forecastTodayInventory,jdbcType=DECIMAL}, 
      #{forecastOnedayInventory,jdbcType=DECIMAL}, #{forecastTwodayInventory,jdbcType=DECIMAL}, 
      #{forecastThreedayInventory,jdbcType=DECIMAL}, #{forecastFourthdayInventory,jdbcType=DECIMAL}, 
      #{forecastFivedayInventory,jdbcType=DECIMAL}, #{forecastSixdayInventory,jdbcType=DECIMAL}, 
      #{forecastSevendayInventory,jdbcType=DECIMAL}, #{forecastEightdayInventory,jdbcType=DECIMAL}, 
      #{forecastNinedayInventory,jdbcType=DECIMAL}, #{forecastTendayInventory,jdbcType=DECIMAL}, 
      #{forecastElevendayInventory,jdbcType=DECIMAL}, #{forecastTwelvedayInventory,jdbcType=DECIMAL}, 
      #{forecastThridteendayInventory,jdbcType=DECIMAL}, #{forecastFourteendayInventory,jdbcType=DECIMAL}, 
      #{forecastFifteendayInventory,jdbcType=DECIMAL}, #{forecastSixteendayInventory,jdbcType=DECIMAL}, 
      #{forecastSeventeendayInventory,jdbcType=DECIMAL}, #{forecastEighteendayInventory,jdbcType=DECIMAL}, 
      #{forecastNineteendayInventory,jdbcType=DECIMAL}, #{forecastTwentydayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyOnedayInventory,jdbcType=DECIMAL}, #{forecastTwentyTwodayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyThreedayInventory,jdbcType=DECIMAL}, #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyFivedayInventory,jdbcType=DECIMAL}, #{forecastTwentySixdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentySevenedayInventory,jdbcType=DECIMAL}, #{forecastTwentyEightdayInventory,jdbcType=DECIMAL}, 
      #{forecastTwentyNinedayInventory,jdbcType=DECIMAL}, #{forecastThirtydayInventory,jdbcType=DECIMAL}, 
      #{gmtCreate,jdbcType=TIMESTAMP}, #{gmtModified,jdbcType=TIMESTAMP}, #{warehouseName,jdbcType=VARCHAR},
      #{skuTitle,jdbcType=VARCHAR}, #{details,jdbcType=VARCHAR})
    on duplicate key update 
    id = #{id,jdbcType=INTEGER}, 
    bailun_sku = #{bailunSku,jdbcType=VARCHAR}, 
    warehouse_code = #{warehouseCode,jdbcType=VARCHAR}, 
    actual_inventory = #{actualInventory,jdbcType=DECIMAL}, 
    forecast_today_inventory = #{forecastTodayInventory,jdbcType=DECIMAL}, 
    forecast_oneday_inventory = #{forecastOnedayInventory,jdbcType=DECIMAL}, 
    forecast_twoday_inventory = #{forecastTwodayInventory,jdbcType=DECIMAL}, 
    forecast_threeday_inventory = #{forecastThreedayInventory,jdbcType=DECIMAL}, 
    forecast_fourthday_inventory = #{forecastFourthdayInventory,jdbcType=DECIMAL}, 
    forecast_fiveday_inventory = #{forecastFivedayInventory,jdbcType=DECIMAL}, 
    forecast_sixday_inventory = #{forecastSixdayInventory,jdbcType=DECIMAL}, 
    forecast_sevenday_inventory = #{forecastSevendayInventory,jdbcType=DECIMAL}, 
    forecast_eightday_inventory = #{forecastEightdayInventory,jdbcType=DECIMAL}, 
    forecast_nineday_inventory = #{forecastNinedayInventory,jdbcType=DECIMAL}, 
    forecast_tenday_inventory = #{forecastTendayInventory,jdbcType=DECIMAL}, 
    forecast_elevenday_inventory = #{forecastElevendayInventory,jdbcType=DECIMAL}, 
    forecast_twelveday_inventory = #{forecastTwelvedayInventory,jdbcType=DECIMAL}, 
    forecast_thridteenday_inventory = #{forecastThridteendayInventory,jdbcType=DECIMAL}, 
    forecast_fourteenday_inventory = #{forecastFourteendayInventory,jdbcType=DECIMAL}, 
    forecast_fifteenday_inventory = #{forecastFifteendayInventory,jdbcType=DECIMAL}, 
    forecast_sixteenday_inventory = #{forecastSixteendayInventory,jdbcType=DECIMAL}, 
    forecast_seventeenday_inventory = #{forecastSeventeendayInventory,jdbcType=DECIMAL}, 
    forecast_eighteenday_inventory = #{forecastEighteendayInventory,jdbcType=DECIMAL}, 
    forecast_nineteenday_inventory = #{forecastNineteendayInventory,jdbcType=DECIMAL}, 
    forecast_twentyday_inventory = #{forecastTwentydayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_oneday_inventory = #{forecastTwentyOnedayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_twoday_inventory = #{forecastTwentyTwodayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_threeday_inventory = #{forecastTwentyThreedayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_fourthday_inventory = #{forecastTwentyFourthdayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_fiveday_inventory = #{forecastTwentyFivedayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_sixday_inventory = #{forecastTwentySixdayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_seveneday_inventory = #{forecastTwentySevenedayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_eightday_inventory = #{forecastTwentyEightdayInventory,jdbcType=DECIMAL}, 
    forecast_twenty_nineday_inventory = #{forecastTwentyNinedayInventory,jdbcType=DECIMAL}, 
    forecast_thirtyday_inventory = #{forecastThirtydayInventory,jdbcType=DECIMAL}, 
    gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
    gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
    warehouse_name = #{warehouseName,jdbcType=VARCHAR}, 
    sku_title = #{skuTitle,jdbcType=VARCHAR}, 
    details = #{details,jdbcType=VARCHAR}
  </insert>
  <select id="selectOneByExample" parameterType="com.bailuntec.domain.example.DcAutoInventoryExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    select
    <include refid="Base_Column_List" />
    from dc_auto_inventory
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    limit 1
  </select>
</mapper>